Create Webhook

Create webhook to receive message.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Filter

A filter is used to specify a subset of events which you want to receive notifications for.

To create a filter, you can specify a set of entries. Each entry has two properties: field and values. The field property stands for the field name to filter on. The value property is a set of string values (e.g., 0x addresses) to be matched. Within each entry, the values are implicitly ORed. Across entries, the values are implicit ANDed.

For example, the following filter will match both "A" or "B" for the walletAddress field and "x" for the contractAddress field.

[
  {
    "field": "walletAddress",
    "values": ["A", "B"]
  },
  {
    "field": "contractAddress",
    "values": ["x"]
  }
]

DataSource

Currently we support following datasources:

NetworkDataSource
ethereumethereum_blocks
ethereum_contracts
ethereum_erc20_transfer
ethereum_transactions
ethereum_logs
ethereum_traces
optimismoptimism_blocks
optimism_contracts
optimism_erc20_transfer
optimism_transactions
optimism_logs
optimism_traces
bscbsc_blocks
bsc_contracts
bsc_erc20_transfer
bsc_transactions
bsc_logs
bsc_traces
polygonpolygon_blocks
polygon_contracts
polygon_erc20_transfer
polygon_transactions
polygon_logs
polygon_traces
avalancheavalanche_blocks
avalanche_contracts
avalanche_erc20_transfer
avalanche_transactions
avalanche_logs
avalanche_traces
arbitrumarbitrum_blocks
arbitrum_contracts
arbitrum_erc20_transfer
arbitrum_transactions
arbitrum_logs
arbitrum_traces
basebase_blocks
base_contracts
base_erc20_transfer
base_transactions
base_logs
base_traces
zksynczksync_blocks
zksync_contracts
zksync_erc20_transfer
zksync_transactions
zksync_logs
zksync_traces
Body Params
string
required

Name of the webhook

string
required

URL of the webhook

string
required

Data source the webhook subscribe to

filters
array of objects

Filter Object

filters
additional_headers
array of objects

Additional headers would be added into the webhook POST when push message is matched.

additional_headers
Headers
string
required

YOUR-API-KEY

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json